#!/bin/bash
#
# ============LICENSE_START=======================================================
#  Copyright (C) 2018-2019 Nordix Foundation.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================
set -o errexit
set -o nounset
set -o pipefail

cd $WORKSPACE/geode

# Get most recent tag that is reachable from a commit
GEODE_VERSION=$(git describe --abbrev=0 | sed -r "s#rel/v(.*)#\1#")
BUILD_DATE=$(date '+%Y%m%d%H%M')
if [ ! -d ${WORKSPACE}/geode-build-version ] ; then
   mkdir ${WORKSPACE}/geode-build-version
fi
# Make sure the Geode tag version is in agreed fromat: \d.\d.\d.[ \d or RC\d ]
if [[ ${GEODE_VERSION} =~ ^[0-9]+\.[0-9]+\.[0-9]+\.(RC[0-9]+|[0-9]+)$ ]] ; then
  echo "${GEODE_VERSION}-NORDIX.${BUILD_DATE}" > ${WORKSPACE}/geode-build-version/number
else
  echo "ERROR: Incorrect geode version specified: ${GEODE_VERSION}"
  exit 1
fi
